# ******************************************************************************
# Copyright (c) 2020 Contributors to the Eclipse Foundation
#
# See the NOTICE file(s) distributed with this work for additional
# information regarding copyright ownership.
#
# This program and the accompanying materials are made available under the
# terms of the Eclipse Public License v. 2.0 which is available at
# http://www.eclipse.org/legal/epl-2.0.
#
# SPDX-License-Identifier: EPL-2.0
# ******************************************************************************

FROM openjdk:8-jre-slim
RUN mkdir -p /app/bin
RUN mkdir -p /app/log
RUN mkdir -p /app/config
RUN mkdir -p /app/archive

COPY target/statement-public-affairs.jar /app/bin/app.jar
COPY docker/runenv/config /app/config

COPY docker/runenv/run.sh /app/run.sh
RUN chmod +x /app/run.sh

WORKDIR /app/

CMD ["./run.sh"]
